GHNBean (gCube VRE Deploy Wizard Portlet 3.4.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portlets.admin.vredeployer.shared

## Class GHNBean

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - com.extjs.gxt.ui.client.data.BaseModel
    - - org.gcube.portlets.admin.vredeployer.shared.GHNBean

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class GHNBean
      extends com.extjs.gxt.ui.client.data.BaseModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `changeEventSupport`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

    - ### Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource

      `Add, Remove, Update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GHNBean()` default const.
    `GHNBean(String id, String host, String memory, String domain, boolean isSelected, String diskSpace, String location, String country, boolean isSecure)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCountry()`
    `String` | `getDiskspace()`
    `String` | `getDomain()`
    `String` | `getHost()`
    `String` | `getId()`
    `String` | `getLocation()`
    `String` | `getMemory()`
    `String` | `getSecurity()`
    `boolean` | `isSecure()`
    `boolean` | `isSelected()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel

      `addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData

      `get, getProperties, getPropertyNames`

- - ### Constructor Detail

    - #### GHNBean

          public GHNBean()

      default const. for serialization

    - #### GHNBean

          public GHNBean(String id,
                 String host,
                 String memory,
                 String domain,
                 boolean isSelected,
                 String diskSpace,
                 String location,
                 String country,
                 boolean isSecure)

      Parameters:
        `id` -
        `host` -
        `memory` -
        `uptime` -
        `isSelected` -

  - ### Method Detail

    - #### getDiskspace

          public String getDiskspace()

      Returns:

    - #### getLocation

          public String getLocation()

    - #### getCountry

          public String getCountry()

    - #### getSecurity

          public String getSecurity()

    - #### getId

          public String getId()

    - #### getHost

          public String getHost()

    - #### getMemory

          public String getMemory()

    - #### getDomain

          public String getDomain()

    - #### isSelected

          public boolean isSelected()

    - #### isSecure

          public boolean isSecure()

Copyright © 2016. All Rights Reserved.